<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CompanyUserHiringTeamLink"    package="performa.orm">
        
        <IMPORT value="performa.orm.types.*"/>  

        <TABLE  name="tl_company_user_hiring_team_link" tablePrefix="object">
                        
            <ATTRIB name="Role" type="RoleType"     dbcol="role_type"   mandatory="false"       attribHelper="EnumeratedAttributeHelper"/>

            <SINGLEREFERENCE    name="HiringTeam"   type="HiringTeam"   dbcol="hiring_team_id"   backreferenceName="Users"          />
            <SINGLEREFERENCE    name="CompanyUser"  type="CompanyUser"  dbcol="company_user_id"  backreferenceName="HiringTeams"    />

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_company_user_hiring_team_link.object_id is not null"    >
        </SEARCH>
        
        <SEARCH type="AllActive"    paramFilter="tl_company_user_hiring_team_link.object_id is not null and oneit_sec_user_extension.is_disabled != 'Y'"    >
            <TABLE  name="oneit_sec_user_extension" join="oneit_sec_user_extension.object_id = tl_company_user_hiring_team_link.company_user_id"/>
        </SEARCH>
        
    </BUSINESSCLASS>
    
</ROOT>